ne (3.3.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/01_Fix_ftbfs_add_lm.diff, Remove because merge upstream.
  * debian/patches/03_allow_cflags_override.diff, Refresh patch offset.
  * debian/copyright, Update debian copyright years.
  * debian/control, Bump Standards-Version to 4.7.0 (no changes).
    + Update libncurses5-dev to libncurses-dev

 -- Julián Moreno Patiño <julian@debian.org>  Wed, 11 Sep 2024 13:18:45 -0500

ne (3.3.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright, Update debian copyright years.
    + Update upstream copyright years.
  * debian/patches, Refresh patch offset.
    + Add Forwarded field.
  * debian/control, Bump Standards-Version to 4.6.1 (no changes).
    + Add Multi-Arch: foreign to ne-doc package.

 -- Julián Moreno Patiño <julian@debian.org>  Sat, 22 Oct 2022 21:03:25 -0500

ne (3.3.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #826744)
  * debian/compat, Remove file by virtual package.
  * debian/control, Update Homepage.
    + Add B-D to debhelper-compat version 13.
    + Bump Standards-Version to 4.6.0.1 (no changes).
    + Add Rules-Requires-Root to no.
  * debian/copyright, Update debian copyright years.
  * debian/not-installed, Add file.
  * debian/patches/*, Refresh patches offset.
  * debian/upstream/metadata, Add file to improve metadata.
  * debian/watch, Update to version 4.
    + Update URL.

 -- Julián Moreno Patiño <julian@debian.org>  Wed, 10 Nov 2021 12:15:51 -0500

ne (3.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches, Refresh patches offset.
  * debian/control, Bump Standards-Version to 4.3.0 (no changes).
  * debian/copyright, Extend copyright holders years.
  * debian/rules, Disable NE_DEBUG.

 -- Julián Moreno Patiño <julian@debian.org>  Mon, 11 Feb 2019 21:10:56 -0500

ne (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/changelog, remove unnecessary whitespaces.
  * debian/control, Bump debhelper version to 11.
    + Bump Standards-Version to 4.1.4 (no changes).
  * debian/compat, Switch compat level 9 to 11.
  * debian/copyright, Change Copyright-Format 1.0 URL to HTTPS.
    + Extend copyright holders years.
  * debian/rules, Use DEB_BUILD_MAINT_OPTIONS = hardening=+all instead
    manually export CFLAGS, CPPFLAGS and LDFLAGS flags.
    + Use LIBS=-ltinfo to avoid unnecessary linking
      with libncurses. (Closes: #831852)

 -- Julián Moreno Patiño <julian@debian.org>  Fri, 02 Mar 2018 13:34:03 -0500

ne (3.0.1-2) unstable; urgency=medium

  * Enable -DNDEBUG flag to support
    large files.

 -- Julián Moreno Patiño <julian@debian.org>  Sat, 15 Aug 2015 04:32:23 -0500

ne (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * d/ne.docs, Change README for README.md
  * Refresh patches offset.
  * d/patches/00_Fix_Gcc_Warning.diff, Remove
    merge with upstream.

 -- Julián Moreno Patiño <julian@debian.org>  Mon, 22 Jun 2015 17:12:26 -0500

ne (2.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch, Update URL.
  * debian/copyright, Extend debian copyright holders years.
    + Update Source URL.
    + Extend upstream copyright holders years.
  * debian/control, Update Homepage URL.
    + Bump Standards-Version to 3.9.6 (no changes).
  * debian/source/options, Remove because default format is xz.
  * debian/rules, Remove override_dh_builddeb because default
    format is xz.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 12 May 2015 16:24:31 -0500

ne (2.5-1) unstable; urgency=low

  * New upstream release.
  * Refresh 01_Fix_ftbfs_add_lm.diff patch.
  * Update my email.
  * Extend debian copyright holders years.
    + Extend upstream copyright holders years.
  * Remove DM-Upload-Allowed deprecated field.
  * Bump Standards-Version to 3.9.4 (no changes).
  * Remove unused whitespaces in control file.
  * Bump debhelper version to 9.
    + Switch compat level 8 to 9 to use
      hardening flags.

 -- Julián Moreno Patiño <julian@debian.org>  Sun, 19 May 2013 19:15:27 -0500

ne (2.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/{01_Fix_ftbfs_add_lm.diff,
    03_allow_cflags_override.diff}:
     + Refresh patches offset.
  * debian/copyright:
    + Extend upstream copyright years.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Sat, 21 Apr 2012 17:26:12 -0500

ne (2.3-2) unstable; urgency=low

  * debian/rules:
    + Export CPPFLAGS from dpkg-buildflags to use
      Fortify Source functions.
   * Bump Standards-Version to 3.9.3.
     + Update DEP5 to copyright-format 1.0.
       + Extend copyright holders years.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Sun, 15 Apr 2012 16:19:40 -0500

ne (2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/03_allow_cflags_override.diff:
    Patch to use CFLAGS and LDFLAGS from
    dpkg-buildflags and to avoid -O3 optimization level.
  * debian/rules: Export CFLAGS and LDFLAGS
    from dpkg-buildflags, for use them in the build.
  * debian/copyright:
    - Update copyright to DEP5 format rev 174.
    - Update copyright years/holders.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Sat, 12 Nov 2011 17:41:09 -0500

ne (2.2-3) unstable; urgency=low

  * debian/patches/01_Fix_ftbfs_add-_lm.diff:
    - Add -lm to fix ftbfs with binutils-gold. (Closes: #632153 LP: #771117)
      + Thanks to Angel Abad for the patch
  * Bump Standards-Version to 3.9.2 (no changes).
  * Switch compat level 7 to 8
  * Set debhelper v8 in B-D
  * Rename 00_Fix_Gcc_Warning to 00_Fix_Gcc_Warning.diff

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Wed, 29 Jun 2011 18:44:00 -0500

ne (2.2-2) unstable; urgency=low

  * Update copyright. Closes: #617823

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Fri, 11 Mar 2011 11:31:31 -0500

ne (2.2-1) unstable; urgency=low

  [Julián Moreno Patiño]
  * New upstream release.
  * Modify ne-doc description.
  * Update to DEP5 Candidate.
  * Update Replaces.
  * Remove Conflicts in ne-doc.
  * Use binary package compression
    + Thanks to Raphaël Hertzog
  * Bump Standards-Version to 3.9.1 (no changes).

  [Anibal Monsalve Salazar]
  * Add DM-Upload-Allowed

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Thu, 10 Mar 2011 22:28:30 -0500

ne (2.1-1) unstable; urgency=low

  * New upstream release. Closes: #581433
  * debian/patches:
    - debian-Makefile.diff, fix-manpage.diff patches
      have been removed because upstream author has applied
      in original source code.
    - Added 00_Fix_Gcc_Warning to fix gcc Warning.
  * Adopted debsrc 3.0 quilt.
  * debian/rules:
    - Added -Wall option to GCC
    - Fixed Building error in target dh_auto_clean.
  * debian/copyright:
    - Updated copyright dates.
    - Adopted DEP5 format.
  * debian/control:
    - Adjusted Replaces to previous upstream version.
    - Added install-info to B-D
  * Bumped Standards-Version to 3.8.4 (no changes).

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Fri, 23 Apr 2010 17:55:30 -0500

ne (2.0.3-2) unstable; urgency=low

  * New maintainer. Closes: #547225
  * debian/control: Changed Maintainer field.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Sun, 15 Nov 2009 21:53:24 -0500

ne (2.0.3-1) unstable; urgency=low

  * QA upload.
  * New upstream release, with syntax highlighting as outstanding
    feature.
  * Split out the documentation into a new ne-doc package.
    Register it in doc-base.
  * Remove calls to install-info from maintainer scripts.
  * Provide the "editor" virtual package and register ne as an
    editor alternative.
  * Clarify the note about showkey in README.Debian and add a second
    note about incorrect terminfo files that may cause problems.
  * Bump debhelper compatibility level to 7.
  * Redo debian/rules from scratch, using dh(1) to minimize it.
  * Use quilt as a patch system.
    - Patch the upstream makefile so that "make install" can do TRT.
    - Patch ne.1 to avoid hyphen-used-as-minus-sign lintian warning.
    - Add debian/README.source as recommended by policy.
  * Slightly reword the short and long package descriptions.
  * Add Homepage field to debian/control.
  * Add debian/watch file.
  * Update years in debian/copyright, mention different license
    of the documentation and Debian stuff copyright.
  * Bump Standards-Version to 3.8.3, no further changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 25 Sep 2009 18:35:23 +0200

ne (1.42-1) unstable; urgency=low

  *  New upstream release.

 -- Carlo Contavalli <ccontavalli@debian.org>  Tue,  7 Mar 2006 19:59:36 +0000

ne (1.41-1) unstable; urgency=low

  * New upstream release.

 -- Carlo Contavalli <ccontavalli@debian.org>  Sun,  2 Oct 2005 14:46:38 +0200

ne (1.38-1) unstable; urgency=low

  * New upstrem release (Closes: Bug#279234).

 -- Carlo Contavalli <ccontavalli@debian.org>  Thu,  4 Nov 2004 18:56:13 +0100

ne (1.36-2) unstable; urgency=low

  * Upstream makefile now does not recompile
    info (Closes: Bug#267376).

 -- Carlo Contavalli <ccontavalli@debian.org>  Fri,  3 Sep 2004 11:19:41 +0200

ne (1.36-1) unstable; urgency=low

  * New upstream release.

 -- Carlo Contavalli <ccontavalli@debian.org>  Tue, 17 Aug 2004 10:22:24 +0200

ne (1.33-1) unstable; urgency=low

  * New upstream release. Corrects some bugs found in previous
    versions.

 -- Carlo Contavalli <ccontavalli@debian.org>  Sun, 23 May 2004 20:48:30 +0200

ne (1.30-1) unstable; urgency=low

  * New upstream release. Includes UTF-8 support, multiple column
    character, and many bug corrections... updated the package
    description.

 -- Carlo Contavalli <ccontavalli@debian.org>  Fri,  2 Apr 2004 18:16:21 +0200

ne (1.20-1) unstable; urgency=low

  * New upstream release. Some minor or annoying bugs were corrected
    by the upstream author and a new escape sequence introduced to
    avoid conflicts with GNOME terminal.

 -- Carlo Contavalli <ccontavalli@debian.org>  Tue, 24 Feb 2004 15:59:06 +0100

ne (1.19-5) unstable; urgency=low

  * Maintainance upload to conform to new
    standard versions

 -- Carlo Contavalli <ccontavalli@debian.org>  Tue, 23 Sep 2003 10:52:56 +0200

ne (1.19-4) unstable; urgency=low

  * Reformatted some text files
  * Corrected some email addresses

 -- Carlo Contavalli <ccontavalli@debian.org>  Fri, 13 Sep 2002 22:37:56 +0200

ne (1.19-3) unstable; urgency=low

  * Added some comments in README.Debian

 -- Carlo Contavalli <ccontavalli@debian.org>  Fri, 10 May 2002 20:59:58 +0200

ne (1.19-2) unstable; urgency=low

  * Brand new package

 -- Carlo Contavalli <ccontavalli@mail.com>  Sat, 12 Jan 2002 16:25:14 +0200

ne (1.19-1) unstable; urgency=low

  * Initial relase made with alien.

 -- Carlo Contavalli <ccontavalli@mail.com>  Sat, 10 Apr 2001 12:29:54 +0200
